/calendars
Creates a calendar.
post
https://api.rest.rodeo/calendar/api/v1/calendars
Body
application/json
Body
application/json
CalendarRequest
* Additional properties are NOT allowed.
namestringrequired
The calendar name.
>= 1 characters<= 256 characters
Response
application/json
Response
application/json
The created calendar
Calendar
* Additional properties are NOT allowed.
idstring(uuid)required
The calendar id.
namestringrequired
The calendar name.
<= 256 characters
post/calendars
Authentication
Body
{
"name": "Work"
}
application/json
/calendars/{calendarId}
Returns a single calendar by id.
get
https://api.rest.rodeo/calendar/api/v1/calendars/{calendarId}
Path Parameters
calendarIdstring(uuid)required
The calendar id.
Response
application/json
Response
application/json
The calendar
Calendar
* Additional properties are NOT allowed.
idstring(uuid)required
The calendar id.
namestringrequired
The calendar name.
<= 256 characters
get/calendars/{calendarId}
Authentication
Path Parameters
application/json
/calendars/{calendarId}
Replaces the calendar’s name.
put
https://api.rest.rodeo/calendar/api/v1/calendars/{calendarId}
Path Parameters
calendarIdstring(uuid)required
The calendar id.
Body
application/json
Body
application/json
CalendarRequest
* Additional properties are NOT allowed.
namestringrequired
The calendar name.
>= 1 characters<= 256 characters
Response
application/json
Response
application/json
The updated calendar
Calendar
* Additional properties are NOT allowed.
idstring(uuid)required
The calendar id.
namestringrequired
The calendar name.
<= 256 characters
put/calendars/{calendarId}
Authentication
Path Parameters
Body
{
"name": "Personal"
}
application/json
/calendars/{calendarId}
Deletes the calendar and all of its events.
delete
https://api.rest.rodeo/calendar/api/v1/calendars/{calendarId}
Path Parameters
calendarIdstring(uuid)required
The calendar id.
Response
Response
The calendar was deleted
delete/calendars/{calendarId}
Authentication
Path Parameters
/calendars/{calendarId}/events
Lists every event in the calendar.
get
https://api.rest.rodeo/calendar/api/v1/calendars/{calendarId}/events
Path Parameters
calendarIdstring(uuid)required
The calendar id.
Response
application/json
Response
application/json
All events in the calendar
EventsList
* Additional properties are NOT allowed.
eventsarray[object]required
* Additional properties are NOT allowed.
Show Child Parameters
get/calendars/{calendarId}/events
Authentication
Path Parameters
application/json